Package com.smartgwt.client.widgets.grid

# Class ListGridEditorContext

java.lang.Object
com.smartgwt.client.widgets.grid.ListGridEditorContext

public class ListGridEditorContext extends Object
Context object holding information about the cell being edited as part of a listGrid edit event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormItem`
  `getDefaultProperties()`
  Default FormItem properties to apply to the editor for this cell.
  `ListGridRecord`
  `getEditedRecord()`
  Similar to `ListGrid#getEditedRecord()`, this method returns a copy of the record being edited, with unsaved edit values applied.
  `ListGridField`
  `getEditField()`
  Returns the field in which the editor will be displayed
  `int`
  `getRowNum()`
  Returns the rowNum being edited
  `void`
  `setDefaultProperties(FormItem item)`
  `void`
  `setEditedRecord(ListGridRecord record)`
  `void`
  `setEditField(ListGridField field)`
  `void`
  `setRowNum(int rowNum)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getDefaultProperties

    public FormItem getDefaultProperties()
    Default FormItem properties to apply to the editor for this cell. These properties are derived automatically from `ListGridField#setEditorType()`
    Returns:

  - ### setDefaultProperties

    public void setDefaultProperties(FormItem item)

  - ### getRowNum

    public int getRowNum()
    Returns the rowNum being edited
    Returns:

  - ### setRowNum

    public void setRowNum(int rowNum)

  - ### getEditField

    public ListGridField getEditField()
    Returns the field in which the editor will be displayed
    Returns:

  - ### setEditField

    public void setEditField(ListGridField field)

  - ### getEditedRecord

    public ListGridRecord getEditedRecord()
    Similar to `ListGrid#getEditedRecord()`, this method returns a copy of the record being edited, with unsaved edit values applied.
    Returns:

  - ### setEditedRecord

    public void setEditedRecord(ListGridRecord record)